<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! social_blog_has_page_header() ) {
    return;
}

$social_blog_classes = array( 'page-header' );
$social_blog_style = social_blog_page_header_style();

if ( $social_blog_style ) {
    $social_blog_classes[] = $social_blog_style . '-page-header';
}

$social_blog_visibility = get_theme_mod( 'social_blog_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $social_blog_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $social_blog_visibility ) {
    $social_blog_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $social_blog_visibility ) {
    $social_blog_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $social_blog_visibility ) {
    $social_blog_classes[] = 'hide-on-tablet-mobile';
}

$social_blog_PAGE_TITLE_background_color = get_theme_mod('social_blog_page_title_background_color_setting', '');

// Get the toggle switch value
$social_blog_background_image_enabled = get_theme_mod('social_blog_page_header_style', true);

// Add background image to the header if enabled
$social_blog_background_image = get_theme_mod( 'social_blog_page_header_background_image', '' );
$social_blog_background_height = get_theme_mod( 'social_blog_page_header_image_height', '200' );
$social_blog_inline_style = '';

if ( $social_blog_background_image_enabled && ! empty( $social_blog_background_image ) ) {
    $social_blog_inline_style .= 'background-image: url(' . esc_url( $social_blog_background_image ) . '); ';
    $social_blog_inline_style .= 'height: ' . esc_attr( $social_blog_background_height ) . 'px; ';
    $social_blog_inline_style .= 'background-size: cover; ';
    $social_blog_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $social_blog_classes[] = 'has-background-image';
}

$social_blog_classes = implode( ' ', $social_blog_classes );
$social_blog_heading = get_theme_mod( 'social_blog_page_header_heading_tag', 'h1' );
$social_blog_heading = apply_filters( 'social_blog_page_header_heading', $social_blog_heading );

?>

<?php do_action( 'social_blog_before_page_header' ); ?>

<header class="<?php echo esc_attr( $social_blog_classes ); ?>" style="<?php echo esc_attr( $social_blog_inline_style ); ?> background-color: <?php echo esc_attr($social_blog_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'social_blog_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( social_blog_has_page_header() ) : ?>

            <<?php echo esc_attr( $social_blog_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( social_blog_get_page_title() ); ?>
            </<?php echo esc_attr( $social_blog_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'social_blog_breadcrumb' ) ) : ?>
            <?php social_blog_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'social_blog_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'social_blog_after_page_header' ); ?>